## filesink

filesink — Write stream to a file

## Properties

gboolean | append | Read / Write
GstFileSinkBufferMode | buffer-mode | Read / Write
guint | buffer-size | Read / Write
gchar * | location | Read / Write

## Types and Values

struct | GstFileSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstFileSink

## Implemented Interfaces

GstFileSink implements GstURIHandler.

## Description

Write incoming data to a file in the local file system.

### Example launch line

    1

    gst-launch v4l2src num-buffers=1 ! jpegenc ! filesink location=capture1.jpeg

Capture one frame from a v4l2 camera and save as jpeg image.

## Synopsis

### Element Information

plugin | coreelements
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFileSink

    struct GstFileSink;

Opaque GstFileSink structure.

## Property Details

### The `“append”` property

      “append”                   gboolean

Append to an already existing file.

Flags: Read / Write

Default value: FALSE

### The `“buffer-mode”` property

      “buffer-mode”              GstFileSinkBufferMode

The buffering mode to use.

Flags: Read / Write

Default value: Default buffering

### The `“buffer-size”` property

      “buffer-size”              guint

Size of buffer in number of bytes for line or full buffer-mode.

Flags: Read / Write

Default value: 65536

### The `“location”` property

      “location”                 gchar *

Location of the file to write.

Flags: Read / Write

Default value: NULL

## See Also

GstFileSrc